%{?nodejs_find_provides_and_requires}

# npm(assume) not available in fedora
%global enable_tests 0
%global packagename requires-port

Name:       nodejs-%{packagename}
Version:    1.0.0
Release:    1%{?dist}
Summary:    Check if a protocol requires a certain port number
License:    MIT
URL:        https://github.com/unshiftio/%{packagename}
Source0:    https://github.com/unshiftio/%{packagename}/archive/%{version}.tar.gz

BuildArch:  noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(assume)
%endif

%description
This module is intended to be used with browserify or Node.js
and is distributed in the public npm registry. 

%prep
%autosetup -n %{packagename}-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mocha test.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Apr 24 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- initial package
